// Forlix SrcDS LogMerge
// http://forlix.org/, df@forlix.org
//
// Copyright (c) 2008-2011 Dominik Friedrichs

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <io.h>
#include <time.h>

#define APPVERSION            "Forlix SrcDS LogMerge v1.31"
#define LOGFILE_MAXNUM        2048

#define LINE_MAXLEN           768
#define LOGSTR_MAXLEN         512

#define SORTSTR_MAXLEN        32

// Merge.cpp
int MergeLogList(char list[][SORTSTR_MAXLEN],
                 size_t list_len);

// Misc.cpp
bool strequ(const char *str1,
            const char *str2,
            bool case_sens=true);
bool strpequ(const char *str,
             const char *ref);
char *fgetsl(char *str,
             int num,
             FILE *fh);
bool ReadLogLine(const char *line,
                 tm *logtime,
                 char *logstr);
int loglist_sortcomp(const void *a,
                     const void *b);
